Bug 81026 - migrate Yang Guo's expectations from chromium to webkit
Summary: migrate Yang Guo's expectations from chromium to webkit
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: epoger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-13 12:59 PDT by epoger
Modified: 2012-03-15 10:32 PDT (History)
1 user (show)

See Also:


Attachments
Patch (1.64 KB, patch)
2012-03-13 14:11 PDT, epoger
no flags Details | Formatted Diff | Diff
Patch (1.65 KB, patch)
2012-03-13 14:16 PDT, epoger
no flags Details | Formatted Diff | Diff
Patch (1.68 KB, patch)
2012-03-14 08:35 PDT, epoger
no flags Details | Formatted Diff | Diff
Patch (1.65 KB, patch)
2012-03-14 11:05 PDT, epoger
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description epoger 2012-03-13 12:59:38 PDT
Yang Guo had added some test expectations to chromium's "downstream" test_expectations.txt file.  They need to be added to the "upstream" test_expectations.txt file (within the webkit repo) or else they will disappear at Chromium's next WebKit roll.
Comment 1 epoger 2012-03-13 14:11:33 PDT
Created attachment 131711 [details]
Patch
Comment 2 WebKit Review Bot 2012-03-13 14:14:45 PDT
Attachment 131711 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/plat..." exit_code: 1
LayoutTests/ChangeLog:6:  Line contains tab character.  [whitespace/tab] [5]
Total errors found: 1 in 2 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 epoger 2012-03-13 14:16:42 PDT
Created attachment 131712 [details]
Patch
Comment 4 epoger 2012-03-13 14:18:05 PDT
Unless anyone objects, I will get this committed Wednesday morning (US East Coast time).
Comment 5 epoger 2012-03-14 08:35:38 PDT
Created attachment 131858 [details]
Patch
Comment 6 epoger 2012-03-14 11:05:33 PDT
Created attachment 131884 [details]
Patch
Comment 7 epoger 2012-03-15 10:28:45 PDT
Comment on attachment 131884 [details]
Patch

argh, commit queue just never seems to pick this up.
Comment 8 epoger 2012-03-15 10:32:29 PDT
Committed r110860: <http://trac.webkit.org/changeset/110860>